#include <thread>
#include "EmulatedPump.hpp"
#include "vera_base/Interactor.hpp"

using namespace vera;

namespace {
} // namespace

void EmulatedPump::dropSample(Interactor& interactor)
{
  interactor.say("Dropping sample fluid.");
}

void EmulatedPump::loadUp(Interactor & interactor)
{
  interactor.say("Loading up sample fluid.");
}

void EmulatedPump::dump(Interactor & interactor)
{
  interactor.say("Dropping unused sample fluid.");
}
